{{!-- {{ log "chat/chatCard-attack.hbs this" this }} --}}
<div class="sheet-card attack-card">
    <div class="flexrow">
        
        {{!-- todo: remove - its just the weapon name --}}
        {{!-- <div class="action-title">
            <div class="secure-name" data-type="item" data-uuid="{{weapon.uuid}}" data-id="{{weapon.id}}">
                {{weapon.name}}
            </div>
        </div> --}}
        <div class="a25-image" >
            <img src="{{weapon.img}}"
                data-tooltip="{{#if weapon.isIdentifiedRaw}}{{{weapon.name}}}{{else}}{{concat (localize "ARS.unknown") (concat " " weapon.type)}}{{/if}}"
                width="50" height="50" />
        </div>
        {{#if target}}
            <div class="a25-image">
                
                {{!-- todo: add data-tooltip="target.name" --}}
                <img class="a25-token" src="{{target.document.texture.src}}" width="50" height="50" />
                
            </div>
        {{/if}}
    </div>

    <div class="attackResult {{#if succeeded}}hitSuccess{{else}}hitFailed{{/if}}">
        <div>

            {{!-- main banner - weapon hit or miss --}}
            <div class="attack-results">
                {{#if weapon.name }}{{weapon.name}}{{/if}}
                {{#if succeeded}}{{localize "ARS.hit"}}{{else}}{{localize "ARS.missed"}}{{/if}} {{#if flavor}}{{{flavor}}}{{/if}}
            </div>
            <div class="attack-result-container">

                {{!-- attack details --}}
                <div class="attack-text">

                    {{#if config.settings.autohitfail}}
                        {{#if succeeded}}
                            {{#if critical}}
                                <b>{{ localize "ARS.critical" }}</b> {{localize "ARS.armorclassabbr"}} {{hitnumber}}
                            {{else}}
                                {{localize "ARS.hit"}} {{localize "ARS.armorclassabbr"}} {{hitnumber}}
                            {{/if}}
                        {{else}}
                            {{#if fumble}}
                                <b>{{localize "ARS.fumbled"}}</b>
                            {{/if}}
                        {{/if}}

                    {{else}}
                        {{#if succeeded}}
                            {{localize "ARS.hit"}} {{localize "ARS.armorclassabbr"}} {{hitnumber}}
                        {{/if}}

                    {{/if}}
                </div>

                {{!-- gm only container --}}
                <div class="gm-only-view attack-hit-details">

                    <div class="grid-attack-details">
                        <div class="grid-item-attack-details">
                            {{localize "ARS.target"}} {{localize "ARS.armorclassabbr"}} {{targetnumber}}
                        </div>
                        <div class="grid-item-attack-details">
                            {{#if succeeded}}
                                {{localize "ARS.hit"}}
                            {{else}}
                                {{localize "ARS.hit"}} {{localize "ARS.armorclassabbr"}} {{hitnumber}}
                            {{/if}}
                        </div>
                        <div class="grid-item-attack-details">
                            {{#if succeeded}}
                                {{localize "ARS.hit"}}
                            {{else}}
                                {{localize "ARS.missed"}}
                            {{/if}}
                        </div>
                        <div class="grid-item-attack-details">
                            {{#if (or (eq @root.config.settings.systemVariant '0') (eq @root.config.settings.systemVariant '1'))}}
                                {{!-- matrix cap is AC 11 so it will only ever show missed by 1 if its above AC 10 so lets just say missed --}}
                                {{#ifnoteq hitnumber 11}} by {{difference}}{{/ifnoteq}}
                            {{else}}
                                by {{difference}}
                            {{/if}}
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    {{!--
    </fieldset> --}}

    {{> "systems/ars/templates/chat/parts/chatCard-dice-roll.hbs" roll=roll}}

    {{#if (eq weapon.type 'weapon')}}
        {{> "systems/ars/templates/chat/parts/chatCard-weapon.hbs" owner=owner item=weapon sourceToken=source.token
        sourceActor=source config=config}}
    {{/if}}
</div>